
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <sys/time.h>
#include <string.h>

#include <audioresample/buffer.h>

/* This test is interesting to check leaks */

int
main (int argc, char *argv[])
{
  AudioresampleBufferQueue *queue;
  AudioresampleBuffer *buffer;
  int len;
  int i;

  queue = audioresample_buffer_queue_new();

  for(i=0;i<100;i++) {
    len = (rand() & 0xf) + 1;

    buffer = audioresample_buffer_new_and_alloc(len);
    audioresample_buffer_queue_push (queue, buffer);
  }

  while (1) {
    len = (rand() & 0xf) + 1;

    if (len > audioresample_buffer_queue_get_depth (queue)) {
      break;
    }

    buffer = audioresample_buffer_queue_pull (queue, len);
    audioresample_buffer_unref (buffer);
  }

  audioresample_buffer_queue_free(queue);

  return 0;
}

